Name:          xinclude-task
Version:       0.2
Release:       %mkrel 3
Summary:       Ant XInclude task
Group:         Development/Java
License:       LGPL
Url:           http://people.freebsd.org/~znerd/xinclude-task/
Source0:       http://people.freebsd.org/~znerd/xinclude-task/xinclude-task-0.2.tar.gz
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jdom
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: xincluder
Requires:      jpackage-utils
Requires:      xincluder
BuildArch:     noarch

%description
XInclude task for Ant. The Ant XInclude task allows Ant build files to apply XInclude processing to XML files. It
is based on the XInclude processor developed by Elliotte Rusty Harold.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Ant XInclude task.

This package contains javadoc for %{name}.

%prep
%setup -q -n xinclude-task-%{version}

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done

for j in $(find . -name "*.class"); do
   rm -f $j
done

%build

export CLASSPATH=$(build-classpath xincluder jdom log4j junit)
ant \
  -Djdom.available=true \
  -Dlog4j.available=true \
  -Djunit.available=true \
  jar apidocs

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}

install -m 0644 build/xinclude-task.jar \
  %{buildroot}%{_javadir}/xinclude-task-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/xinclude-task-%{version}
cp -pr build/apidocs/* %{buildroot}%{_javadocdir}/xinclude-task-%{version}
ln -s xinclude-task-%{version} %{buildroot}%{_javadocdir}/xinclude-task

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%{_javadir}/xinclude-task-%{version}.jar
%{_javadir}/xinclude-task.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/xinclude-task-%{version}
%{_javadocdir}/xinclude-task



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.2-3.mga4
+ Revision: 520701
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.2-2.mga3
+ Revision: 387008
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 gil <gil> 0.2-1.mga2
+ Revision: 163835
- imported package xinclude-task


* Sat Jun 11 2011 gil <gil> 0.2-0.%%mkrel
- initial rpm